18.04 - no se puede ejecutar grub-personalizador -- grub2 campo con 18.04 campo con libraries campo con shared-library camp askubuntu Relacionados El problema

18.04 - can't run grub-customizer


1
vote

problema

Español

Estoy en una nueva instalación de Ubuntu 18.04 e instalé GRUB-Customizer. Pero cuando intento lanzarlo, obtengo la siguiente salida:

  user@ubuntu:~$ grub-customizer  grub-customizer: error while loading shared libraries: libpangomm-1.4.so.1: cannot open shared object file: No such file or directory   

Intenté reinstalar GRUB-Customizer, reinstalar a Libpangomm, pero nada funcionó. ¿Algo que pueda hacer?

Original en ingles

I'm on a fresh install of Ubuntu 18.04 and I installed grub-customizer. But when I try to launch it, I get the following output:

user@ubuntu:~$ grub-customizer  grub-customizer: error while loading shared libraries: libpangomm-1.4.so.1: cannot open shared object file: No such file or directory 

I tried reinstalling grub-customizer, reinstalling libpangomm, but nothing worked. Anything I can do?

           
 
 

Lista de respuestas

0
 
vote
vote
La mejor respuesta
 

grub personalizador

  $ sudo apt install g++ g++-5 libarchive-dev libssl-dev libgtkmm-3.0-dev $ git clone https://git.launchpad.net/grub-customizer $ cd grub-customizer/ && mkdir build18 $ cd build18/ $ CC=gcc-5 CXX=g++-5 cmake .. && make && sudo make install   

Construyendo el paquete Ubuntu 18.04 desde el resultado de la instalación:

  $ dpkg-shlibdeps -t grub-customizer   // get the dependencies for the control file  Directory : grub-customizer/{ DEBIAN/{control, md5}}, usr/ $ dpkg-deb -b grub-customizer grub-customizer_5.0.7-1git050618-ubuntu18_amd64.deb   

enlace, paquete https://dive.google.com/ File / D / 1SDMSJJ2CF2UM5VHUZTYDM7QKYJBAE7M / VIA? USP = Compartir

Descargar e instalar: ABCDEFGHIJKLMNABCDEFGHIJKLMN2

 

Grub Customizer

$ sudo apt install g++ g++-5 libarchive-dev libssl-dev libgtkmm-3.0-dev $ git clone https://git.launchpad.net/grub-customizer $ cd grub-customizer/ && mkdir build18 $ cd build18/ $ CC=gcc-5 CXX=g++-5 cmake .. && make && sudo make install 

Building the Ubuntu 18.04 package from the install result :

$ dpkg-shlibdeps -t grub-customizer   // get the dependencies for the control file  Directory : grub-customizer/{ DEBIAN/{control, md5}}, usr/ $ dpkg-deb -b grub-customizer grub-customizer_5.0.7-1git050618-ubuntu18_amd64.deb 

Link, package https://drive.google.com/file/d/1sdMSjj2Cf2uEM5VHUztYdM7QkyjBAE7M/view?usp=sharing

Download, and install: sudo gdebi Downloads/grub-customizer_5.0.7-1git050618-ubuntu18_amd64.deb

 
 
0
 
vote

Parece ahora estar bien a partir de la fecha de mi escritura (se abre y se ejecuta como una aplicación GUI), corriendo con 18.04.1 (64 bits). Aquí están mis pasos que encontré para trabajar:

    sudo apt-get update && sudo apt-get upgrade && sudo apt-get dist-upgrade   sudo add-apt-repository ppa:danielrichter2007/grub-customizer   sudo apt-get update   sudo apt-get install grub-customizer   

(basado en: https://launchpad.net/~danielrichter2007/ + Archivo / Ubuntu / Grub-personalizer )

Y aquí está la salida del terminal, desde el paso 2 anterior en adelante:

  robdaviswork@Workstation-U64:~$ sudo add-apt-repository ppa:danielrichter2007/grub-customizer  This PPA contains the latest release of Grub Customizer.  sudo add-apt-repository ppa:danielrichter2007/grub-customizer sudo apt-get update sudo apt-get install grub-customizer  More info: https://launchpad.net/~danielrichter2007/+archive/ubuntu/grub-customizer Press [ENTER] to continue or Ctrl-c to cancel adding it.  Hit:1 http://gb.archive.ubuntu.com/ubuntu bionic InRelease Hit:2 http://gb.archive.ubuntu.com/ubuntu bionic-updates InRelease              Get:3 http://ppa.launchpad.net/danielrichter2007/grub-customizer/ubuntu bionic InRelease [15.4 kB] Hit:4 http://gb.archive.ubuntu.com/ubuntu bionic-backports InRelease            Get:5 http://security.ubuntu.com/ubuntu bionic-security InRelease [83.2 kB]     Ign:6 http://www.scootersoftware.com bcompare4 InRelease                        Hit:7 http://www.scootersoftware.com bcompare4 Release                          Get:8 http://ppa.launchpad.net/danielrichter2007/grub-customizer/ubuntu bionic/main amd64 Packages [680 B] Get:10 http://ppa.launchpad.net/danielrichter2007/grub-customizer/ubuntu bionic/main i386 Packages [680 B] Get:11 http://ppa.launchpad.net/danielrichter2007/grub-customizer/ubuntu bionic/main Translation-en [356 B] Fetched 100 kB in 1s (163 kB/s)                                                Reading package lists... Done robdaviswork@Workstation-U64:~$ sudo apt-get update Hit:1 http://ppa.launchpad.net/danielrichter2007/grub-customizer/ubuntu bionic InRelease Hit:2 http://gb.archive.ubuntu.com/ubuntu bionic InRelease                      Hit:3 http://gb.archive.ubuntu.com/ubuntu bionic-updates InRelease              Hit:4 http://gb.archive.ubuntu.com/ubuntu bionic-backports InRelease            Get:5 http://security.ubuntu.com/ubuntu bionic-security InRelease [83.2 kB]     Ign:6 http://www.scootersoftware.com bcompare4 InRelease                        Hit:7 http://www.scootersoftware.com bcompare4 Release                          Fetched 83.2 kB in 1s (133 kB/s)                                                Reading package lists... Done robdaviswork@Workstation-U64:~$ sudo apt-get install grub-customizer Reading package lists... Done Building dependency tree        Reading state information... Done The following additional packages will be installed:   hwinfo libgtkmm-3.0-1v5 libhd21 libx86emu1 The following NEW packages will be installed   grub-customizer hwinfo libgtkmm-3.0-1v5 libhd21 libx86emu1 0 to upgrade, 5 to newly install, 0 to remove and 0 not to upgrade. Need to get 2,762 kB of archives. After this operation, 16.5 MB of additional disk space will be used. Do you want to continue? [Y/n] Y Get:1 http://ppa.launchpad.net/danielrichter2007/grub-customizer/ubuntu bionic/main amd64 grub-customizer amd64 5.0.8-0ubuntu1~ppa1b [1,152 kB] Get:2 http://gb.archive.ubuntu.com/ubuntu bionic/main amd64 libgtkmm-3.0-1v5 amd64 3.22.2-2 [850 kB] Get:3 http://gb.archive.ubuntu.com/ubuntu bionic/universe amd64 libx86emu1 amd64 1.12-1 [48.1 kB] Get:4 http://gb.archive.ubuntu.com/ubuntu bionic/universe amd64 libhd21 amd64 21.52-1 [694 kB] Get:5 http://gb.archive.ubuntu.com/ubuntu bionic/universe amd64 hwinfo amd64 21.52-1 [18.0 kB] Fetched 2,762 kB in 2s (1,391 kB/s)                                        Selecting previously unselected package libgtkmm-3.0-1v5:amd64. (Reading database ... 168557 files and directories currently installed.) Preparing to unpack .../libgtkmm-3.0-1v5_3.22.2-2_amd64.deb ... Unpacking libgtkmm-3.0-1v5:amd64 (3.22.2-2) ... Selecting previously unselected package grub-customizer. Preparing to unpack .../grub-customizer_5.0.8-0ubuntu1~ppa1b_amd64.deb ... Unpacking grub-customizer (5.0.8-0ubuntu1~ppa1b) ... Selecting previously unselected package libx86emu1:amd64. Preparing to unpack .../libx86emu1_1.12-1_amd64.deb ... Unpacking libx86emu1:amd64 (1.12-1) ... Selecting previously unselected package libhd21:amd64. Preparing to unpack .../libhd21_21.52-1_amd64.deb ... Unpacking libhd21:amd64 (21.52-1) ... Selecting previously unselected package hwinfo. Preparing to unpack .../hwinfo_21.52-1_amd64.deb ... Unpacking hwinfo (21.52-1) ... Setting up libx86emu1:amd64 (1.12-1) ... Processing triggers for mime-support (3.60ubuntu1) ... Processing triggers for desktop-file-utils (0.23-1ubuntu3.18.04.1) ... Setting up libgtkmm-3.0-1v5:amd64 (3.22.2-2) ... Setting up grub-customizer (5.0.8-0ubuntu1~ppa1b) ... Processing triggers for libc-bin (2.27-3ubuntu1) ... Processing triggers for man-db (2.8.3-2) ... Setting up libhd21:amd64 (21.52-1) ... Processing triggers for gnome-menus (3.13.3-11ubuntu1.1) ... Processing triggers for hicolor-icon-theme (0.17-2) ... Setting up hwinfo (21.52-1) ... Processing triggers for libc-bin (2.27-3ubuntu1) ... robdaviswork@Workstation-U64:~$ lsb_release -a No LSB modules are available. Distributor ID: Ubuntu Description:    Ubuntu 18.04.1 LTS Release:    18.04 Codename:   bionic robdaviswork@Workstation-U64:~$    
 

Seems to now be OK as of date of my writing (it opens and runs as a GUI app), running with 18.04.1 (64bit). Here are my steps that I found to work:

  sudo apt-get update && sudo apt-get upgrade && sudo apt-get dist-upgrade   sudo add-apt-repository ppa:danielrichter2007/grub-customizer   sudo apt-get update   sudo apt-get install grub-customizer 

(based on: https://launchpad.net/~danielrichter2007/+archive/ubuntu/grub-customizer )

And here is the terminal output, from step 2 above onwards:

robdaviswork@Workstation-U64:~$ sudo add-apt-repository ppa:danielrichter2007/grub-customizer  This PPA contains the latest release of Grub Customizer.  sudo add-apt-repository ppa:danielrichter2007/grub-customizer sudo apt-get update sudo apt-get install grub-customizer  More info: https://launchpad.net/~danielrichter2007/+archive/ubuntu/grub-customizer Press [ENTER] to continue or Ctrl-c to cancel adding it.  Hit:1 http://gb.archive.ubuntu.com/ubuntu bionic InRelease Hit:2 http://gb.archive.ubuntu.com/ubuntu bionic-updates InRelease              Get:3 http://ppa.launchpad.net/danielrichter2007/grub-customizer/ubuntu bionic InRelease [15.4 kB] Hit:4 http://gb.archive.ubuntu.com/ubuntu bionic-backports InRelease            Get:5 http://security.ubuntu.com/ubuntu bionic-security InRelease [83.2 kB]     Ign:6 http://www.scootersoftware.com bcompare4 InRelease                        Hit:7 http://www.scootersoftware.com bcompare4 Release                          Get:8 http://ppa.launchpad.net/danielrichter2007/grub-customizer/ubuntu bionic/main amd64 Packages [680 B] Get:10 http://ppa.launchpad.net/danielrichter2007/grub-customizer/ubuntu bionic/main i386 Packages [680 B] Get:11 http://ppa.launchpad.net/danielrichter2007/grub-customizer/ubuntu bionic/main Translation-en [356 B] Fetched 100 kB in 1s (163 kB/s)                                                Reading package lists... Done robdaviswork@Workstation-U64:~$ sudo apt-get update Hit:1 http://ppa.launchpad.net/danielrichter2007/grub-customizer/ubuntu bionic InRelease Hit:2 http://gb.archive.ubuntu.com/ubuntu bionic InRelease                      Hit:3 http://gb.archive.ubuntu.com/ubuntu bionic-updates InRelease              Hit:4 http://gb.archive.ubuntu.com/ubuntu bionic-backports InRelease            Get:5 http://security.ubuntu.com/ubuntu bionic-security InRelease [83.2 kB]     Ign:6 http://www.scootersoftware.com bcompare4 InRelease                        Hit:7 http://www.scootersoftware.com bcompare4 Release                          Fetched 83.2 kB in 1s (133 kB/s)                                                Reading package lists... Done robdaviswork@Workstation-U64:~$ sudo apt-get install grub-customizer Reading package lists... Done Building dependency tree        Reading state information... Done The following additional packages will be installed:   hwinfo libgtkmm-3.0-1v5 libhd21 libx86emu1 The following NEW packages will be installed   grub-customizer hwinfo libgtkmm-3.0-1v5 libhd21 libx86emu1 0 to upgrade, 5 to newly install, 0 to remove and 0 not to upgrade. Need to get 2,762 kB of archives. After this operation, 16.5 MB of additional disk space will be used. Do you want to continue? [Y/n] Y Get:1 http://ppa.launchpad.net/danielrichter2007/grub-customizer/ubuntu bionic/main amd64 grub-customizer amd64 5.0.8-0ubuntu1~ppa1b [1,152 kB] Get:2 http://gb.archive.ubuntu.com/ubuntu bionic/main amd64 libgtkmm-3.0-1v5 amd64 3.22.2-2 [850 kB] Get:3 http://gb.archive.ubuntu.com/ubuntu bionic/universe amd64 libx86emu1 amd64 1.12-1 [48.1 kB] Get:4 http://gb.archive.ubuntu.com/ubuntu bionic/universe amd64 libhd21 amd64 21.52-1 [694 kB] Get:5 http://gb.archive.ubuntu.com/ubuntu bionic/universe amd64 hwinfo amd64 21.52-1 [18.0 kB] Fetched 2,762 kB in 2s (1,391 kB/s)                                        Selecting previously unselected package libgtkmm-3.0-1v5:amd64. (Reading database ... 168557 files and directories currently installed.) Preparing to unpack .../libgtkmm-3.0-1v5_3.22.2-2_amd64.deb ... Unpacking libgtkmm-3.0-1v5:amd64 (3.22.2-2) ... Selecting previously unselected package grub-customizer. Preparing to unpack .../grub-customizer_5.0.8-0ubuntu1~ppa1b_amd64.deb ... Unpacking grub-customizer (5.0.8-0ubuntu1~ppa1b) ... Selecting previously unselected package libx86emu1:amd64. Preparing to unpack .../libx86emu1_1.12-1_amd64.deb ... Unpacking libx86emu1:amd64 (1.12-1) ... Selecting previously unselected package libhd21:amd64. Preparing to unpack .../libhd21_21.52-1_amd64.deb ... Unpacking libhd21:amd64 (21.52-1) ... Selecting previously unselected package hwinfo. Preparing to unpack .../hwinfo_21.52-1_amd64.deb ... Unpacking hwinfo (21.52-1) ... Setting up libx86emu1:amd64 (1.12-1) ... Processing triggers for mime-support (3.60ubuntu1) ... Processing triggers for desktop-file-utils (0.23-1ubuntu3.18.04.1) ... Setting up libgtkmm-3.0-1v5:amd64 (3.22.2-2) ... Setting up grub-customizer (5.0.8-0ubuntu1~ppa1b) ... Processing triggers for libc-bin (2.27-3ubuntu1) ... Processing triggers for man-db (2.8.3-2) ... Setting up libhd21:amd64 (21.52-1) ... Processing triggers for gnome-menus (3.13.3-11ubuntu1.1) ... Processing triggers for hicolor-icon-theme (0.17-2) ... Setting up hwinfo (21.52-1) ... Processing triggers for libc-bin (2.27-3ubuntu1) ... robdaviswork@Workstation-U64:~$ lsb_release -a No LSB modules are available. Distributor ID: Ubuntu Description:    Ubuntu 18.04.1 LTS Release:    18.04 Codename:   bionic robdaviswork@Workstation-U64:~$  
 
 

Relacionados problema

1  No se puede ejecutar "Biblioteca compartida" en Nautilus  ( Cant run shared library in nautilus ) 
Recientemente reinstalé Ubuntu en 64 bits (antes de que lo tuviera en 32 bits). Tuve la carpeta de inicio en una partición y el sistema en otro. Entonces, cua...

3  Clase de ELF incorrecta: Error de Elfclass32 en el uso de 32 bits. En la máquina de 64 bits usando Dlopen  ( Wrong elf class elfclass32 error in using 32 bit so in 64 bit machine using dl ) 
Necesito usar una biblioteca compartida de 32 bits creada por alguien más en mi aplicación de 64 bits en Ubuntu 14.04. Recibo el error dado en el título. He i...

4  ¿Cuál es el papel de las bibliotecas estáticas?  ( What is the role of static libraries ) 
Bibliotecas estáticas de forma predeterminada en vivo en /usr/lib o abcdefhijklmnabcdefghijklmn7 pero los eliminé a todos en mi sistema operativo con este...

1  Buscando la biblioteca LTS  ( Looking for lts library ) 
He tratado de buscar esto, pero buscar "Linux LTS", obviamente, no me da lo que quiero. Soy un N00B en mi camino a través de una solución demasiado complica...

1  Un software (fluido 6) no encuentra la biblioteca compartida  ( A sofware fluent 6 does not find shared library ) 
Después de la configuración fluida (software CFD), cuando ejecuto la aplicación recibo un error: /usr/local/Fluent.Inc/fluent6.3.26/bin/fluent -r6.3.26 -3d...

4  Configuración de ld_library_path antes de ejecutar una aplicación de un terminal no tiene efecto  ( Setting ld library path before running an app from a terminal has no effect ) 
Tengo varias compilaciones de una aplicación en mi sistema (una compilación de desarrollo y muchas compilaciones publicadas mayores). Cuando estoy tratando de...

1  Biblioteca desaparecida de Witcher 2 libgtk-x11-2.0.0.0.0  ( Witcher 2 missing library libgtk x11 2 0 so 0 ) 
Los eventos que llevaron a esta situación son los siguientes: Intenté ejecutar el wither 2 en Linux desde gog.com e instalé las dependencias ( http://www.g...

1  Agregando cambios personalizados a las apagadas para Python  ( Adding custom changes to the openblas for python ) 
My Pregunta: ¿Cómo obtengo Python para usar mi propia versión compilada de OpenBlas? Fondo The theano Guía de instalación sugiere que uno debe probar ...

10  No se puede iniciar texto sublime  ( Unable to start sublime text ) 
Había estado usando un texto sublime 2 sin problemas. Me instalé inactiva y ahora no puedo iniciar texto sublime. Intenté desinstalar el ralentí, pero el text...

14  ¿Cómo instalo Libtiff.SO.3?  ( How do i install libtiff so 3 ) 
Cuando intento ejecutar maya desde el terminal, obtengo: error while loading shared libraries: libtiff.so.3: cannot open shared object file: No such file o...




© 2022 respuesta.top Reservados todos los derechos. Centro de preguntas y respuestas reservados todos los derechos